> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs List

> To query all supported NFTs with ID, contract address, name, asset platform ID and symbol on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use this endpoint to get NFT collection IDs, `asset_platform_id`, and `contract_address` for other NFT endpoints.
* Results are paginated to 100 items per page.

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.nfts.getList();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.nfts.get_list()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /nfts/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /nfts/list:
    get:
      summary: NFTs List
      description: >-
        To query all supported NFTs with ID, contract address, name, asset
        platform ID and symbol on CoinGecko
      operationId: nfts-list
      parameters:
        - name: order
          in: query
          required: false
          description: Sort order of responses.
          schema:
            type: string
            enum:
              - h24_volume_usd_asc
              - h24_volume_usd_desc
              - h24_volume_native_asc
              - h24_volume_native_desc
              - floor_price_native_asc
              - floor_price_native_desc
              - market_cap_native_asc
              - market_cap_native_desc
              - market_cap_usd_asc
              - market_cap_usd_desc
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Valid values: 1...250
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: Page through results.
          schema:
            type: integer
      responses:
        '200':
          description: List of supported NFTs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTsList'
              example:
                - id: cryptopunks
                  contract_address: '0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB'
                  name: CryptoPunks
                  asset_platform_id: ethereum
                  symbol: PUNK
                - id: bored-ape-yacht-club
                  contract_address: '0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d'
                  name: Bored Ape Yacht Club
                  asset_platform_id: ethereum
                  symbol: BAYC
components:
  schemas:
    NFTsList:
      type: array
      items:
        type: object
        required:
          - id
          - contract_address
          - name
          - asset_platform_id
          - symbol
        properties:
          id:
            type: string
            description: NFT collection ID
          contract_address:
            type: string
            description: NFT collection contract address
          name:
            type: string
            description: NFT collection name
          asset_platform_id:
            type: string
            description: NFT collection asset platform ID
          symbol:
            type: string
            description: NFT collection symbol
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````